Bug 8955 - Xnest in xorg-server 1.2.99.0 fails with dbus errors on dbus 1.0_rcX
Summary: Xnest in xorg-server 1.2.99.0 fails with dbus errors on dbus 1.0_rcX
Status: RESOLVED FIXED
Alias: None
Product: xorg
Classification: Unclassified
Component: Server/DDX/Xnest (show other bugs)
Version: git
Hardware: Other Linux (All)
: high normal
Assignee: Xorg Project Team
QA Contact: Xorg Project Team
URL:
Whiteboard:
Keywords:
Depends on:
Blocks:
 
Reported: 2006-11-09 06:46 UTC by Hanno Böck
Modified: 2007-08-03 02:54 UTC (History)
0 users

See Also:
i915 platform:
i915 features:


Attachments
Fix compilation with --as-needed on current git (827 bytes, patch)
2007-06-22 03:01 UTC, Hanno Böck
no flags Details | Splinter Review

Note You need to log in before you can comment on or make changes to this bug.
Description Hanno Böck 2006-11-09 06:46:18 UTC
I get the error messages below when trying to compile xorg-server (with Xnest 
enabled) on dbus 0.95 (1.0_rc3). Looks like API-breakage to me, dbus 1.0 is 
announced to be released today.

Workaround is disabling xnest.

ad ../../render/.libs/librender.a ../../randr/.libs/librandr.a ../../damageext/.libs/libdamageext.a ../../miext/damage/.libs/libdamage.a ../../miext/cw/.libs/libcw.a ../../miext/shadow/.libs/libshadow.a ../../Xi/.libs/libXi.a ../../xkb/.libs/libxkb.a ../../xkb/.libs/libxkbstubs.a ../../composite/.libs/libcomposite.a ../../dix/.libs/libxpstubs.a ../../os/.libs/libcwrapper.a ../../os/.libs/libos.a /usr/lib/libXfont.so /usr/lib/libfreetype.so /usr/lib/libfontenc.so -lz /usr/lib/libXext.so /usr/lib/libX11.so /usr/lib/libxcb-xlib.so /usr/lib/libxcb.so -ldl /usr/lib/libXau.so /usr/lib/libXdmcp.so -lm
../../config/libconfig.a(config.o): In function `configFini':
config.c:(.text+0x19): undefined reference to `dbus_error_init'
config.c:(.text+0x2f): undefined reference to 
`dbus_connection_unregister_object_path'
config.c:(.text+0x49): undefined reference to `dbus_bus_remove_match'
config.c:(.text+0x63): undefined reference to `dbus_bus_release_name'
config.c:(.text+0x70): undefined reference to `dbus_connection_unref'
config.c:(.text+0x97): undefined reference to `dbus_error_free'
../../config/libconfig.a(config.o): In function `configMessage':
config.c:(.text+0xe5): undefined reference to `dbus_error_init'
config.c:(.text+0xed): undefined reference to `dbus_message_get_interface'
config.c:(.text+0x11a): undefined reference to `dbus_message_new_method_return'
config.c:(.text+0x128): undefined reference to `dbus_message_iter_init_append'
config.c:(.text+0x144): undefined reference to `dbus_message_iter_append_basic'
config.c:(.text+0x165): undefined reference to `dbus_connection_send'
config.c:(.text+0x17c): undefined reference to `dbus_connection_flush'
config.c:(.text+0x184): undefined reference to `dbus_message_unref'
config.c:(.text+0x18c): undefined reference to `dbus_error_free'
config.c:(.text+0x1dc): undefined reference to `dbus_message_iter_init'
config.c:(.text+0x1f4): undefined reference to `dbus_error_free'
config.c:(.text+0x210): undefined reference to `dbus_error_free'
config.c:(.text+0x22d): undefined reference to `dbus_message_get_member'
config.c:(.text+0x26f): undefined reference to `dbus_message_get_member'
config.c:(.text+0x2b1): undefined reference to `dbus_message_get_args'
config.c:(.text+0x373): undefined reference to `dbus_message_iter_recurse'
config.c:(.text+0x37f): undefined reference to `dbus_message_iter_get_arg_type'
config.c:(.text+0x39f): undefined reference to `dbus_message_iter_get_basic'
config.c:(.text+0x3d5): undefined reference to `dbus_message_iter_has_next'
config.c:(.text+0x3e9): undefined reference to `dbus_message_iter_next'
config.c:(.text+0x3f5): undefined reference to `dbus_message_iter_get_arg_type'
config.c:(.text+0x411): undefined reference to `dbus_message_iter_get_basic'
config.c:(.text+0x43e): undefined reference to `dbus_message_iter_next'
config.c:(.text+0x44a): undefined reference to `dbus_message_iter_get_arg_type'
../../config/libconfig.a(config.o): In function `configDispatch':
config.c:(.text+0x586): undefined reference to 
`dbus_connection_read_write_dispatch'
../../config/libconfig.a(config.o): In function `configInitialise':
config.c:(.text+0x5d0): undefined reference to `dbus_error_init'
config.c:(.text+0x5e0): undefined reference to `dbus_bus_get'
config.c:(.text+0x5ee): undefined reference to `dbus_error_is_set'
config.c:(.text+0x5fa): undefined reference to `dbus_error_free'
config.c:(.text+0x62d): undefined reference to `dbus_connection_get_unix_fd'
config.c:(.text+0x694): undefined reference to `dbus_bus_request_name'
config.c:(.text+0x6a0): undefined reference to `dbus_error_is_set'
config.c:(.text+0x6ac): undefined reference to `dbus_error_free'
config.c:(.text+0x6b4): undefined reference to `dbus_connection_unref'
config.c:(.text+0x6ef): undefined reference to `dbus_bus_add_match'
config.c:(.text+0x6f7): undefined reference to `dbus_error_is_set'
config.c:(.text+0x75c): undefined reference to 
`dbus_connection_register_object_path'
config.c:(.text+0x768): undefined reference to `dbus_error_free'
config.c:(.text+0x78a): undefined reference to `dbus_connection_unref'
config.c:(.text+0x7bf): undefined reference to `dbus_bus_release_name'
config.c:(.text+0x7d4): undefined reference to `dbus_bus_remove_match'
config.c:(.text+0x7dc): undefined reference to `dbus_connection_unref'
config.c:(.text+0x7f0): undefined reference to `dbus_error_free'
config.c:(.text+0x805): undefined reference to `dbus_bus_release_name'
config.c:(.text+0x80d): undefined reference to `dbus_connection_unref'
collect2: ld returned 1 exit status
make[3]: *** [Xnest] Fehler 1
make[3]: Leaving directory 
`/var/tmp/portage/x11-base/xorg-server-1.2.99.0/work/xorg-server-1.2.99.0/hw/xnest'
make[2]: *** [all] Fehler 2
make[2]: Leaving directory 
`/var/tmp/portage/x11-base/xorg-server-1.2.99.0/work/xorg-server-1.2.99.0/hw/xnest'
make[1]: *** [all-recursive] Fehler 1
make[1]: Leaving directory 
`/var/tmp/portage/x11-base/xorg-server-1.2.99.0/work/xorg-server-1.2.99.0/hw'
make: *** [all-recursive] Fehler 1
Comment 1 Hanno Böck 2006-11-09 07:49:03 UTC
Just got the note in the corresponding Gentoo-Bug ( 
https://bugs.gentoo.org/show_bug.cgi?id=154009 ) that it's not due to 
dbus-0.9x, but due to LDFLAGS --as-needed.
So it's probably some wrong linker command in the Makefile
Comment 2 Daniel Stone 2007-02-27 01:34:33 UTC
Sorry about the phenomenal bug spam, guys.  Adding xorg-team@ to the QA contact so bugs don't get lost in future.
Comment 3 Hanno Böck 2007-06-22 03:01:27 UTC
Created attachment 10404 [details] [review]
Fix compilation with --as-needed on current git

Patch to fix it, was already sent to xorg-dev-list, but nobody applied it yet.

I think the linked gentoo-bug is another issue.
Comment 4 Alan Hourihane 2007-08-03 02:54:41 UTC
Closing. Already fixed in current git.


Use of freedesktop.org services, including Bugzilla, is subject to our Code of Conduct. How we collect and use information is described in our Privacy Policy.